List Updated Artifacts

Lists the application artifacts modified in a specific date range.

This API retrieves information similar to that present in the Artifact Updates Report. See Generating the Artifact Updates Report in Administering Migration.

Required Roles

Service Administrator

REST Resource

POST /interop/rest/v2/migration/artifactupdates

Request

Supported Media Types: application/json

Table 12-1 Request Parameters

Parameter Description Required Type
artifactName Optionally, specify the name of the artifact (for example, Currency) to list. Use * (asterisk) to report on all artifacts. No Payload
artifactType Optionally, specify the artifact type. Use * (asterisk) to list the type for all modified artifacts. No Payload
modifiedBy Optionally, specify the name of the user who modified the artifact. Use * (asterisk) to report on all users. No Payload
startDate Optionally, the start date of the artifact update period may be specified. Default value is yesterday's date in YYYY-MM-DD format. No Payload
endDate Optionally, the end date of the artifact update period may be specified. Default value is today's date in YYYY-MM-DD format. No Payload
categories One or more categories for which data is to be retrieved. Yes Payload

Request Payload Example:


{
    "artifactName": "Groups",
    "artifactType": "*Groups",
    "startDate": "2024-11-19",
    "endDate": "2025-11-20",
    "categories": [
        "Groups and Membership"    
    ]
}

Response

Table 12-2 Response Parameters

Name Description
categoryName Artifact category.
artifactName The display name of the artifact or folder.
artifacttype The artifact type.
modifiedBy The name of the user who modified the artifact.
modifiedDate The date when the artifact was updated.
path Full path of the artifact.

Successful response body example:


{
    "status": 0,
    "items": [
        {
            "categoryName": "Groups and Membership",
            "artifactName": "Groups",
            "artifactType": "Groups",
            "modifiedBy": "SYSTEM",
            "modifiedDate": "2025-10-28 13:00:26",
            "path": "/Native Directory"
        }
    ],
    "links": [
        {
            "href": "http://<BASE_URL>interop/rest/v2/migration/artifactupdates",
            "action": "POST",
            "rel": "self"
        }
    ]
}

Sample response for invalid category:


{
    "status": 8,
    "details": "Invalid Category [Groups and Membership-1]",
    "items": null,
    "links": [
        {
            "href": "http://<BASE-URL>/interop/rest/v2/migration/artifactupdates",
            "action": "POST",
            "rel": "self"
        }
    ]
}

Sample response for invalid date format:


{
    "status": 8,
    "details": "Invalid date format startDate",
    "items": null,
    "links": [
        {
            "href": "http://<BASE-URL>/interop/rest/v2/migration/artifactupdates",
            "action": "POST",
            "rel": "self"
        }
    ]
}